Subject: [otrs] Attempting Active Directory connection - getting computer names i n results as well.
From: Pete McDonnell <[email-masked]>
To: "User questions and discussions about OTRS." <[email-masked]>
Date: Mon, 2 May 2005 16:32:08 -0400

Our AD tree is structured something like this:
 
- corp
    - Site 1
        - Computers
        - Users
    - Site 2
        - Computers
        - Users
 
This is great for organization, but I'm not sure how to restrict my searches
when AD/LDAP integration is enabled with such a hierarchy.  Currently when I
search for a user I get mutiple results which include the computer name
(computer name = username in most circumstances).  It appears as thought the
default AD config simply lumps all users into one organizational unit
'Users' where the following is sufficient to restrict the results set to
only contain users:
 
$Self->{'Customer::AuthModule::LDAP::BaseDN'}
='ou=Users,dc=corp,dc=hipinteractive,dc=com';
 
In my case I would need multiple BaseDN entires (if possible) or another
method of filtering the output by 'user' records only.  In 
 
Surely someone must have come across this before... any suggestions?

- Pete McDonnell
  Manager, Technical Services
  Hip Interactive
  Phone: (416) 873-7153
   "I'd give my right arm to be ambidextrous." - Anonymous